	[
{
    blockid=list;
    help=logfiles_list_list;
    custom=com.netscape.management.msgserv.LogfileListControl;
    localvar={
	/* translate this block */
	.dialogheader.text="\u6aa2\u8996\u548c\u5206\u6790\u65e5\u8a8c";
	.detail.border=[titled,"\u65e5\u8a8c\u6a94\u8cc7\u8a0a"];
	.filetype.text="\u65e5\u8a8c\u6a94\u985e\u578b\uff1a";
	.filetype.value=" ";
	.size.text="\u65e5\u8a8c\u6a94\u5927\u5c0f (\u4f4d\u5143\u7d44)\uff1a";
	.modtime.text="\u6700\u5f8c\u4e00\u6b21\u4fee\u6539\u6642\u9593\uff1a";
	.count.text="\u884c\u6578\uff1a";
	.viewlog.text="\u6aa2\u8996\u9078\u53d6\u7684\u65e5\u8a8c...";
	.col1.header="\u65e5\u8a8c\u6a94\u540d";
	.col2.header="\u65e5\u8a8c";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.detail.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.filetype.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.filetype.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.size.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.size.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.modtime.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.modtime.value;
			    wrap=$g.label.size2;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	    size=$g.comp.space.diff;
	},
	{
	    ctrl=table;
	    id=logfiletable;
	    showadd=false;
	    showdelete=false;
	    showedit=true;
	    edittext=$.viewlog.text;
	    buttonsat=east;
	    columns=[
		{
		    header=$.col1.header;
		}
	    ];
	}
    ]
},
{
    blockid=filter;
    help=logfiles_list_filter;
    localvar={
	.filterheader.text="\u65e5\u8a8c\u7be9\u9078";
	.filter.border=[titled,"\u904e\u6ffe"];
	.facility.text="\u529f\u80fd\uff1a";
	.facility.labels=["\u6240\u6709","\u4e00\u822c","LDAP","\u7db2\u7d61","\u5e33\u76ee","\u5354\u8b70","\u7d71\u8a08","\u5b58\u5132"];
	.level.text="\u8a73\u7d30\u8cc7\u8a0a\u7b49\u7d1a\uff1a";
        .level.labels=["\u7dca\u6025","\u932f\u8aa4","\u8b66\u544a","\u6ce8\u610f","\u8cc7\u8a0a","\u9664\u932f"];
	.regex.text="\u578b\u6a23\uff1a";
	.abstime.header="\u6307\u5b9a\u671f\u9593";
	.absfrom.text="\u5bc4\u4ef6\u8005\uff1a";
	.absfrom.value="-";
	.absto.text="\u6536\u4ef6\u8005\uff1a";
	.absto.value="-";
	.pasttime.text="\u904e\u53bb\u7684\u8a18\u9304\uff1a";
	.pasttime.labels=["\u5929"];
	.update.text="\u66f4\u65b0";
    };
    content=[
	{
	    ctrl=pane;
	    border=$.filter.border;
	    layout=[gridbag];
	    content=[
		{
		    ctrl=togglepane;
		    layout=[gridbag];
		    style=radio;
		    id=absflag;
		    text=$.abstime.header;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=0;
			insets=[3,3,3,6];
			weightx=1.0;
			gridheight=3;
			anchor=west;
			fill=horizontal;
		    };
		    content=[
			{
			    ctrl=label;
			    text=$.absfrom.text;
			    constraint={
				gridx=0;
				gridy=0;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absfrom;
			    id=absfromctrl;
			    val=$.absfrom.value;
			    constraint={
				gridx=1;
				gridy=0;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			},
			{
			    ctrl=label;
			    text=$.absto.text;
			    constraint={
				gridx=0;
				gridy=1;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absto;
			    id=abstoctrl;
			    val=$.absto.value;
			    constraint={
				gridx=1;
				gridy=1;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			}
		    ]
		},
		{
		    ctrl=label;
		    text=$.facility.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=facilityctrl;
		    labels=$.facility.labels;
		    items=["",General,LDAP,Network,Account,Protocol,Stats,Store];
		    val=$.facility.value;
		    constraint={
			gridx=2;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.level.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=levelctrl;
		    labels=$.level.labels;
		    items=["Critical","Critical Error","Critical Error Warning","Critical Error Warning Notice","Critical Error Warning Notice Information",""];
		    val=$.level.value;
		    constraint={
			gridx=2;
			gridy=1;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.regex.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=2;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=text;
		    id=regexctrl;
		    val=$.regex.value;
		    constraint={
			gridx=2;
			gridy=2;
			weightx=9;
			anchor=west;
			fill=horizontal;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=togglepane;
		    style=radio;
		    id=pastflag;
		    text=$.pasttime.text;
		    inline=true;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=3;
			anchor=west;
			insets=$g.insets.comp
		    };
		    content=[
			{
			    ctrl=number;
			    id=pastctrl;
			    items=[day];
			    labels=$.pasttime.labels;
			    val=$.pasttime.value;
			}
		    ]
		},
		{
		    ctrl=button;
		    text=$.update.text;
		    cmd=.log.update;
		    constraint={
			gridx=2;
			gridy=3;
			anchor=east;
			insets=$g.insets.comp
		    }
		}
	    ]
	}
    ]
},
{
    blockid=viewer;
    help=logfiles_list_viewer;
    localvar={
	.viewerheader.text="\u65e5\u8a8c\u6aa2\u8996\u5668";
	.numlines.text="\u7e3d\u884c\u6578\uff1a";
	.goto.text="\u79fb\u81f3";
	.logentry.text="\u65e5\u8a8c\u689d\u76ee";
	.filter.text="\u7be9\u9078...";
    };
    content=[
/*
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.numlines.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    id=numlineslabel;
		    wrap=$g.label.size1;
		    val=0;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$.goto.text;
		    cmd=.log.goto;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=number;
		    id=goto;
		    val=$.goto.value;
		    aligny=0.5;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
*/
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=contenttable;
	    showadd=false;
	    showdelete=false;
	    visiblerows=8;
	    columns=[
		{
		    header=$.logentry.text;
		    width=480;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=textarea;
	    id=detailtext;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=hglue;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.close.text;
		    cmd=.log.done;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.help.text;
		    cmd=.log.help;
		},
		{
		    ctrl=rigid;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	}
    ]
}
]

